List Kubernetes node plans
curl --request GET \
--url https://api.rafftechnologies.com/api/v1/k8s/node-plans \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.rafftechnologies.com/api/v1/k8s/node-plans"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.rafftechnologies.com/api/v1/k8s/node-plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"plans": [
{
"id": 11,
"name": "K8s Starter",
"vcpu": 1,
"memory_gib": 2,
"ssd_gib": 25,
"price_per_hour": 0.013875,
"price_per_month": 9.99,
"region": "us-east",
"transfer_gib": 0,
"total_price": 9.99,
"yearly_price": 0,
"twenty_four_month_price": 0
}
],
"ha_pricing": {
"price_per_hour": 0.0411,
"price_per_month": 30
},
"storage_pricing": {
"per_gb_month": 0.08,
"per_gb_hour": 0.00010959,
"min_gb": 100,
"max_gb": 1000,
"default_gb": 100
}
}Clusters
List Kubernetes Node Plans
Worker node plans plus HA control-plane and storage-node pricing. Same data as GET /api/v1/public/pricing/kubernetes.
GET
/
api
/
v1
/
k8s
/
node-plans
List Kubernetes node plans
Updated August 24, 2026
Authorizations
API key for authentication. Each key is bound to a specific account.
Response
200 - application/json
Node plans and pricing
Last modified on August 24, 2026
⌘I